> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /autoru/offers/search

> Search Auto.ru car listings with the full filter set: region, mark/model/generation, section (new/used/all), price/year/mileage/power/acceleration/displacement ranges, max fuel rate, min ground clearance, min trunk volume, transmission, engine/fuel type, charging port type (electric), drive, body type, steering wheel side, maximum owners, PTS status, damage state, customs-cleared, in-stock, trade-in exchange, photo-only, verified real photos, exterior panoramas, manufacturer-certified, no-mileage-in-Russia, recently posted and an extensive equipment catalogue (airbags, assist systems, climate, cameras, multimedia, lighting, wheels, interior, seats, suspension). Sort by relevance, price, year, mileage or alphabet. Returns full offer cards with price, price history, owner expenses, discount options, mileage, vehicle specification, documents, photos and seller.

**Price:** 20 credits per 37 results



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/autoru/offers/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/autoru/offers/search:
    post:
      tags:
        - /autoru
      summary: /autoru/offers/search
      description: >-
        Search Auto.ru car listings with the full filter set: region,
        mark/model/generation, section (new/used/all),
        price/year/mileage/power/acceleration/displacement ranges, max fuel
        rate, min ground clearance, min trunk volume, transmission, engine/fuel
        type, charging port type (electric), drive, body type, steering wheel
        side, maximum owners, PTS status, damage state, customs-cleared,
        in-stock, trade-in exchange, photo-only, verified real photos, exterior
        panoramas, manufacturer-certified, no-mileage-in-Russia, recently posted
        and an extensive equipment catalogue (airbags, assist systems, climate,
        cameras, multimedia, lighting, wheels, interior, seats, suspension).
        Sort by relevance, price, year, mileage or alphabet. Returns full offer
        cards with price, price history, owner expenses, discount options,
        mileage, vehicle specification, documents, photos and seller.


        **Price:** 20 credits per 37 results
      operationId: __api_autoru_offers_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AutoruOffersSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AutoruOffer'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AutoruOffersSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        region:
          type: string
          default: moskva
        category:
          $ref: '#/components/schemas/AutoruCategory'
          default: cars
        section:
          $ref: '#/components/schemas/AutoruSection'
          default: all
        mark:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        model:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        generation:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        price_from:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        price_to:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        year_from:
          anyOf:
            - type: integer
              minimum: 1900
            - type: 'null'
        year_to:
          anyOf:
            - type: integer
              minimum: 1900
            - type: 'null'
        mileage_from:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        mileage_to:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        power_from:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        power_to:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        acceleration_from:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        acceleration_to:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        displacement_from:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        displacement_to:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        fuel_rate_to:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        clearance_from:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        trunk_volume_from:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        transmission:
          items:
            $ref: '#/components/schemas/AutoruTransmission'
          type: array
          default: []
        engine_type:
          items:
            $ref: '#/components/schemas/AutoruEngineType'
          type: array
          default: []
        charge_connector:
          items:
            $ref: '#/components/schemas/AutoruChargeConnector'
          type: array
          default: []
        drive:
          items:
            $ref: '#/components/schemas/AutoruDrive'
          type: array
          default: []
        body_type:
          items:
            $ref: '#/components/schemas/AutoruBodyType'
          type: array
          default: []
        steering_wheel:
          anyOf:
            - $ref: '#/components/schemas/AutoruSteeringWheel'
            - type: 'null'
        owners_count_to:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        pts_status:
          anyOf:
            - $ref: '#/components/schemas/AutoruPtsStatus'
            - type: 'null'
        damage:
          anyOf:
            - $ref: '#/components/schemas/AutoruDamage'
            - type: 'null'
        customs:
          anyOf:
            - type: boolean
            - type: 'null'
        in_stock:
          anyOf:
            - type: boolean
            - type: 'null'
        exchange:
          anyOf:
            - type: boolean
            - type: 'null'
        only_with_photo:
          anyOf:
            - type: boolean
            - type: 'null'
        real_photo:
          anyOf:
            - type: boolean
            - type: 'null'
        external_panoramas:
          anyOf:
            - type: boolean
            - type: 'null'
        certificate_manufacturer:
          anyOf:
            - type: boolean
            - type: 'null'
        without_mileage_in_russia:
          anyOf:
            - type: boolean
            - type: 'null'
        top_days:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        catalog_equipment:
          items:
            $ref: '#/components/schemas/AutoruEquipment'
          type: array
          default: []
        sort:
          $ref: '#/components/schemas/AutoruSort'
          default: fresh_relevance_1-desc
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    AutoruOffer:
      properties:
        '@type':
          type: string
          default: AutoruOffer
        id:
          type: string
        hash:
          anyOf:
            - type: string
            - type: 'null'
        sale_id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        section:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        availability:
          anyOf:
            - type: string
            - type: 'null'
        color_hex:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        has_nds:
          anyOf:
            - type: boolean
            - type: 'null'
        predicted_price:
          anyOf:
            - $ref: '#/components/schemas/AutoruPriceRange'
            - type: 'null'
        price_history:
          items:
            $ref: '#/components/schemas/AutoruPricePoint'
          type: array
          default: []
        owner_expenses:
          anyOf:
            - $ref: '#/components/schemas/AutoruOwnerExpenses'
            - type: 'null'
        discount_options:
          anyOf:
            - $ref: '#/components/schemas/AutoruDiscountOptions'
            - type: 'null'
        mileage:
          anyOf:
            - type: integer
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        image_count:
          anyOf:
            - type: integer
            - type: 'null'
        vehicle:
          anyOf:
            - $ref: '#/components/schemas/AutoruVehicle'
            - type: 'null'
        documents:
          anyOf:
            - $ref: '#/components/schemas/AutoruDocuments'
            - type: 'null'
        seller:
          anyOf:
            - $ref: '#/components/schemas/AutoruSeller'
            - type: 'null'
        salon:
          anyOf:
            - $ref: '#/components/schemas/AutoruSalon'
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        days_in_stock:
          anyOf:
            - type: integer
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AutoruCategory:
      type: string
      enum:
        - cars
        - motorcycle
        - lcv
        - trucks
        - bus
    AutoruSection:
      type: string
      enum:
        - used
        - new
        - all
    AutoruTransmission:
      type: string
      enum:
        - AUTOMATIC
        - MECHANICAL
        - ROBOT
        - VARIATOR
    AutoruEngineType:
      type: string
      enum:
        - GASOLINE
        - DIESEL
        - HYBRID
        - ELECTRO
        - LPG
    AutoruChargeConnector:
      type: string
      enum:
        - TYPE_2
        - CCS_COMBO_1
        - CCS_COMBO_2
        - GBT_AC
        - GBT_DC
    AutoruDrive:
      type: string
      enum:
        - FORWARD_CONTROL
        - REAR_DRIVE
        - ALL_WHEEL_DRIVE
    AutoruBodyType:
      type: string
      enum:
        - SEDAN
        - ALLROAD_5_DOORS
        - ALLROAD_3_DOORS
        - HATCHBACK_5_DOORS
        - HATCHBACK_3_DOORS
        - LIFTBACK
        - WAGON
        - COUPE
        - CABRIO
        - MINIVAN
        - PICKUP
        - VAN
        - LIMOUSINE
    AutoruSteeringWheel:
      type: string
      enum:
        - LEFT
        - RIGHT
    AutoruPtsStatus:
      type: string
      enum:
        - ORIGINAL
        - DUPLICATE
    AutoruDamage:
      type: string
      enum:
        - NOT_BEATEN
        - BEATEN
        - ANY
    AutoruEquipment:
      type: string
      enum:
        - airbag-driver
        - airbag-passenger
        - central-airbag
        - airbag-side
        - airbag-rear-side
        - airbag-curtain
        - knee-airbag
        - knee-airbag-pass
        - fcw
        - collision-prevention-assist
        - pedestrian-detection
        - ldw
        - lane-keeping-assist
        - tja
        - drowsy-driver-alert-system
        - traffic-sign-recognition
        - asr
        - vsm
        - bas
        - hcc
        - dha
        - blind-spot
        - rcta
        - night-vision
        - isofix
        - isofix-front
        - tyre-pressure
        - abs
        - esp
        - power-child-locks-rear-doors
        - glonass
        - armored
        - climate-control-1
        - climate-control-2
        - multizone-climate-control
        - condition
        - auto-cruise
        - cruise-control
        - auto-park
        - park-assist-f
        - park-assist-r
        - 360-camera
        - front-camera
        - rear-camera
        - projection-display
        - drive-mode-sys
        - remote-engine-start
        - easy-trunk-opening
        - multi-wheel
        - electronic-gage-panel
        - keyless-entry
        - start-button
        - programmed-block-heater
        - electro-trunk
        - auto-mirrors
        - mirrors-memory
        - steering-wheel-gear-shift-paddles
        - adj-pedals
        - start-stop-function
        - electro-mirrors
        - power-latching-doors
        - wheel-configuration1
        - wheel-configuration2
        - e-adjustment-wheel
        - wheel-memory
        - electro-window-front
        - electro-window-back
        - wheel-power
        - servo
        - rus-multi
        - audiosystem-tv
        - entertainment-system-for-rear-seat-passengers
        - remote-car-services
        - wireless-charger
        - usb
        - navigation
        - voice-recognition
        - android-auto
        - apple-carplay
        - ya-auto
        - bluetooth
        - aux
        - 12v-socket
        - 220v-socket
        - music-super
        - audiosystem-cd
        - audiopreparation
        - ptf
        - adaptive-light
        - rain-sensor
        - light-sensor
        - drl
        - automatic-lighting-control
        - high-beam-assist
        - light-cleaner
        - auto-dimming-mirror
        - xenon
        - laser-lights
        - led-lights
        - windcleaner-heat
        - windscreen-heat
        - mirrors-heat
        - heated-wash-system
        - feedback-alarm
        - alarm
        - lock
        - volume-sensor
        - immo
        - steel-wheels
        - alloy-wheel-disks
        - 12-inch-wheels
        - 13-inch-wheels
        - 14-inch-wheels
        - 15-inch-wheels
        - 16-inch-wheels
        - 17-inch-wheels
        - 18-inch-wheels
        - 19-inch-wheels
        - 20-inch-wheels
        - 21-inch-wheels
        - 22-inch-wheels
        - 23-inch-wheels
        - 24-inch-wheels
        - 25-inch-wheels
        - 26-inch-wheels
        - 27-inch-wheels
        - 28-inch-wheels
        - duo-body-color
        - body-kit
        - roof-rails
        - airbrush
        - body-mouldings
        - protective-film
        - light-interior
        - dark-interior
        - velvet-seats
        - natural-leather
        - alcantara
        - leather
        - fabric-seats
        - driver-seat-updown
        - passenger-seat-updown
        - driver-seat-electric
        - passenger-seat-electric
        - electro-rear-seat
        - driver-seat-support
        - front-seat-support
        - front-seats-heat
        - rear-seats-heat
        - front-seats-heat-vent
        - rear-seat-heat-vent
        - sport-seats
        - hatch
        - panorama-roof
        - massage-seats
        - wheel-heat
        - wheel-leather
        - leather-gear-stick
        - black-roof
        - rear-armrest
        - third-row-seats
        - seat-transformation
        - folding-front-passenger-seat
        - folding-tables-rear
        - decorative-interior-lighting
        - front-centre-armrest
        - third-rear-headrest
        - tinted-glass
        - roller-blinds-for-rear-side-windows
        - roller-blind-for-rear-window
        - sport-pedals
        - door-sill-panel
        - cap-seats-rear
        - athermal-glass
        - driver-seat-memory
        - seat-memory
        - rear-seat-memory
        - seats-2
        - seats-4
        - seats-5
        - seats-6
        - seats-7
        - seats-8
        - seats-9
        - activ-suspension
        - sport-suspension
        - air-suspension
        - spare-wheel
        - reduce-spare-wheel
        - turnbuckle
        - engine-proof
        - add-tires
    AutoruSort:
      type: string
      enum:
        - fresh_relevance_1-desc
        - cr_date-desc
        - price-asc
        - price-desc
        - year-asc
        - year-desc
        - km_age-asc
        - km_age-desc
        - alphabet-asc
    AutoruPriceRange:
      properties:
        '@type':
          type: string
          default: AutoruPriceRange
        price_from:
          anyOf:
            - type: integer
            - type: 'null'
        price_to:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    AutoruPricePoint:
      properties:
        '@type':
          type: string
          default: AutoruPricePoint
        price_rur:
          anyOf:
            - type: integer
            - type: 'null'
        price_eur:
          anyOf:
            - type: integer
            - type: 'null'
        price_usd:
          anyOf:
            - type: integer
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    AutoruOwnerExpenses:
      properties:
        '@type':
          type: string
          default: AutoruOwnerExpenses
        transport_tax:
          anyOf:
            - type: integer
            - type: 'null'
        transport_tax_year:
          anyOf:
            - type: integer
            - type: 'null'
        osago_insurance:
          items:
            $ref: '#/components/schemas/AutoruInsuranceQuote'
          type: array
          default: []
      type: object
    AutoruDiscountOptions:
      properties:
        '@type':
          type: string
          default: AutoruDiscountOptions
        tradein:
          anyOf:
            - type: integer
            - type: 'null'
        insurance:
          anyOf:
            - type: integer
            - type: 'null'
        credit:
          anyOf:
            - type: integer
            - type: 'null'
        max_discount:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    AutoruVehicle:
      properties:
        '@type':
          type: string
          default: AutoruVehicle
        mark:
          anyOf:
            - type: string
            - type: 'null'
        mark_ru:
          anyOf:
            - type: string
            - type: 'null'
        model:
          anyOf:
            - type: string
            - type: 'null'
        model_ru:
          anyOf:
            - type: string
            - type: 'null'
        generation:
          anyOf:
            - type: string
            - type: 'null'
        generation_id:
          anyOf:
            - type: string
            - type: 'null'
        year_from:
          anyOf:
            - type: integer
            - type: 'null'
        year_to:
          anyOf:
            - type: integer
            - type: 'null'
        price_segment:
          anyOf:
            - type: string
            - type: 'null'
        body_type:
          anyOf:
            - type: string
            - type: 'null'
        door_count:
          anyOf:
            - type: integer
            - type: 'null'
        seats:
          items:
            type: integer
          type: array
          default: []
        auto_class:
          anyOf:
            - type: string
            - type: 'null'
        engine_type:
          anyOf:
            - type: string
            - type: 'null'
        transmission:
          anyOf:
            - type: string
            - type: 'null'
        drive:
          anyOf:
            - type: string
            - type: 'null'
        engine_volume:
          anyOf:
            - type: integer
            - type: 'null'
        power_hp:
          anyOf:
            - type: integer
            - type: 'null'
        power_kw:
          anyOf:
            - type: integer
            - type: 'null'
        acceleration:
          anyOf:
            - type: number
            - type: 'null'
        fuel_rate:
          anyOf:
            - type: number
            - type: 'null'
        modification:
          anyOf:
            - type: string
            - type: 'null'
        complectation:
          anyOf:
            - type: string
            - type: 'null'
        steering_wheel:
          anyOf:
            - type: string
            - type: 'null'
        vendor:
          anyOf:
            - type: string
            - type: 'null'
        equipment:
          items:
            type: string
          type: array
          default: []
        equipment_groups:
          items:
            $ref: '#/components/schemas/AutoruEquipmentGroup'
          type: array
          default: []
      type: object
    AutoruDocuments:
      properties:
        '@type':
          type: string
          default: AutoruDocuments
        year:
          anyOf:
            - type: integer
            - type: 'null'
        owner_count:
          anyOf:
            - type: integer
            - type: 'null'
        pts:
          anyOf:
            - type: string
            - type: 'null'
        is_pts_original:
          anyOf:
            - type: boolean
            - type: 'null'
        is_custom_cleared:
          anyOf:
            - type: boolean
            - type: 'null'
        vin:
          anyOf:
            - type: string
            - type: 'null'
        vin_resolution:
          anyOf:
            - type: string
            - type: 'null'
        pts_resolution:
          anyOf:
            - type: string
            - type: 'null'
        owners_resolution:
          anyOf:
            - type: string
            - type: 'null'
        legal_resolution:
          anyOf:
            - type: string
            - type: 'null'
        accidents_resolution:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    AutoruSeller:
      properties:
        '@type':
          type: string
          default: AutoruSeller
        name:
          anyOf:
            - type: string
            - type: 'null'
        seller_type:
          anyOf:
            - type: string
            - type: 'null'
        geo:
          anyOf:
            - $ref: '#/components/schemas/AutoruGeo'
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    AutoruSalon:
      properties:
        '@type':
          type: string
          default: AutoruSalon
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        is_official:
          anyOf:
            - type: boolean
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        phones:
          items:
            type: string
          type: array
          default: []
        geo:
          anyOf:
            - $ref: '#/components/schemas/AutoruGeo'
            - type: 'null'
        offer_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    AutoruInsuranceQuote:
      properties:
        '@type':
          type: string
          default: AutoruInsuranceQuote
        insurance_company:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    AutoruEquipmentGroup:
      properties:
        '@type':
          type: string
          default: AutoruEquipmentGroup
        name:
          type: string
        values:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
    AutoruGeo:
      properties:
        '@type':
          type: string
          default: AutoruGeo
        address:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````